Class List Method List File List

# Exception: Concurrent::Agent::ValidationError

Inherits:
  Error
  - Object
  - StandardError
  - Error
  - Concurrent::Agent::ValidationError
  show all
Defined in:
  lib/concurrent/agent.rb

## Overview

Raised when a new value obtained during action processing or at `#restart` fails validation.

## Instance Method Summary (collapse)

- - (ValidationError) initialize(message = nil) constructor

  A new instance of ValidationError.

## Constructor Details

### - (`ValidationError`) initialize(message = nil)

Returns a new instance of ValidationError

    176
    177
    178
    179

    # File 'lib/concurrent/agent.rb', line 176

    def initialize(message = nil)
      message ||= 'invalid value'
      super(message)
    end